[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowToolBarComponent

# Class: WindowToolBarComponent\<D\>

Defined in: [packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:33](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts#L33)

## Type Parameters

• **D**

## Constructors

### new WindowToolBarComponent()

> **new WindowToolBarComponent**\<`D`\>(`context`): [`WindowToolBarComponent`](WindowToolBarComponent.md)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:37](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts#L37)

#### Parameters

##### context

`any`

#### Returns

[`WindowToolBarComponent`](WindowToolBarComponent.md)\<`D`\>

## Properties

### windowRef

> **windowRef**: [`WindowRef`](WindowRef.md)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:35](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts#L35)
